Subject: bug#28176: 26.0.50; Emacs hangs on entering a specific article in gnus

From: Sam Steingold <[email-masked]>
Date: Mon, 21 Aug 2017 13:23:23 -0400

> * Eli Zaretskii <[email-masked]> [2017-08-21 19:24:47 +0300]:
>
>> From: Sam Steingold <[email-masked]>
>> Date: Mon, 21 Aug 2017 12:09:13 -0400
>> 
>> Emacs hangs with a yellow triangle in the middle of the frame
>> (indicating ding) but C-g and C-] do not interrupt.
>> CPU usage is at 90%.
>> The only way out is "force quit" in activity monitor.
>> "sample" is attached
>> I seem to be able to reproduce the hang by trying to enter a specific
>> article in an nntp group.
>
> Not sure I understand: do you mean that to reproduce the hang one
> should just visit this file from "emacs -Q"?  Because if so, Emacs
> doesn't hang for me here.

Alas, no.
I have no idea how to reproduce this easily.
It might work like this:
start gnus
open newsgroup "nntp+news.gwene.org:gwene.com.stackexchange.history"
in *Summary* buffer, find article with subject
"Why, in ancient battles, did being encircled mean defeat?"
view it by hitting RET.

Thanks.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1504
http://steingoldpsychology.com http://www.childpsy.net https://ffii.org
http://honestreporting.com http://think-israel.org https://jihadwatch.org
Takeoffs are optional.  Landings are mandatory.